local _,RageWatch=...
local Frame=CreateFrame("ScrollingMessageFrame","RageWatch",UIParent)	
Frame.Threshold=95
Frame.Warned=false
-- Initialize
function RageWatch:Initialize()	
	Frame:SetWidth(450)
	Frame:SetHeight(200)
	Frame:SetPoint("CENTER",UIParent,"CENTER",0,0)	
	Frame:SetFont("Interface\\AddOns\\RageWatch\\Res\\RESEGRG_.TTF",30,"THICKOUTLINE")
	Frame:SetShadowColor(0.00,0.00,0.00,0.75)
	Frame:SetShadowOffset(3.00,-3.00)
	Frame:SetJustifyH("CENTER")		
	Frame:SetMaxLines(2)
	--Frame:SetInsertMode("BOTTOM")
	Frame:SetTimeVisible(1)
	Frame:SetFadeDuration(1)		
	RageWatch:Update()
end
-- Update rage warning
function RageWatch:Update()	
	if(floor((UnitPower("player", 1)/UnitPowerMax("player", 1))*100)>=Frame.Threshold and Frame.Warned==false)then
		PlaySoundFile("Interface\\AddOns\\RageWatch\\Res\\rage_max.ogg")	
		Frame:AddMessage("Maximum RAGE", 1, 0.3, 0, nil, 3)
		Frame.Warned=true
		return
	end
	if(floor((UnitPower("player", 1)/UnitPowerMax("player", 1))*100)<Frame.Threshold)then
		Frame.Warned=false
		return
	end	
end
-- Handle events
function RageWatch:OnEvent(Event,Arg1,...)
	if(Event=="PLAYER_LOGIN")then
		RageWatch:Initialize()
		return
	end	
	if(Event=="UNIT_POWER" and Arg1=="player")then
		RageWatch:Update()
		return
	end	
end
Frame:SetScript("OnEvent",RageWatch.OnEvent)
Frame:RegisterEvent("PLAYER_LOGIN")
Frame:RegisterEvent("UNIT_POWER")